OCF_HEARTBEAT_ZABBIX(7)

NAME
ocf_heartbeat_zabbixserver - Zabbix server resource agent

SYNOPSIS

zabbixserver [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a Zabbix server Resource Agent for zabbix_server monitoring daemon. See: http://www.zabbix.com/

SUPPORTED PARAMETERS

binary
    Location of the zabbix_server binary.

    (optional, string, default "zabbix_server")

pid
    Path to zabbix_server pidfile. As it's created by daemon itself it must be the same as specified in the Zabbix configuration file with parameter 'PidFile='.

    (unique, optional, string, default "/var/run/zabbix-server/zabbix_server.pid")

config
    Path to zabbix_server configuration file. Assumed server default if not specified.

    (unique, optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a zabbixserver resource using the crm(8) shell:

    primitive p_zabbixserver ocf:heartbeat:zabbixserver \
      op monitor timeout="20s" interval="10s" depth="0"

EXAMPLE PCS

The following is an example configuration for a zabbixserver resource using pcs(8)

    pcs resource create p_zabbixserver ocf:heartbeat:zabbixserver \
      op monitor timeout="20s" interval="10s" OCF_CHECK_LEVEL="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)